Subject: Re: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Robert Pluim <[email-masked]>
Date: Wed, 09 Nov 2022 16:25:14 +0100

>>>>> On Wed, 09 Nov 2022 16:59:04 +0200, Eli Zaretskii <[email-masked]> said:

    >> Cc: [email-masked], [email-masked], [email-masked]
    >> Date: Wed, 09 Nov 2022 16:51:26 +0200
    >> From: Eli Zaretskii <[email-masked]>
    >> 
    >> > Thanks.  The safe fix should be to change 5 to 6 here.  Eli, do you agree, 
    >> > or is there something else to investigate?
    >> 
    >> Can you tell more?  I don't think I understand why decreasing the face
    >> height by 5 doesn't work, but decreasing it by 6 does.  If you do
    >> understand, please tell.

    Eli> Also, how come text-scale-adjust does work on the same platform?

As far as I can tell from its somewhat convoluted code and docstrings,
that scales up and down by 20% every time.

Robert
--